## soapyuhd 0.3.1+git20161021

=== debian/changelog ===
soapyuhd (0.3.1+git20161021-1) unstable; urgency=medium

  * Initial release (Closes: #838313)

 -- Andreas Bombe <aeb@debian.org>  Wed, 26 Oct 2016 21:26:09 +0200
