=== debian/changelog ===
soapyuhd (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2

 -- Andreas Bombe <aeb@debian.org>  Wed, 25 Jan 2017 01:29:59 +0100
