=== debian/control ===
Source: soapyuhd
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libboost-dev, libboost-system-dev, libboost-thread-dev,
    libsoapysdr-dev,
    libuhd-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyUHD/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git

Package: soapysdr0.5-2-module-uhd
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: UHD device support for SoapySDR
 Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
 provide libraries to access various software defined radio hardware through a
 common interface.
 .
 This SoapySDR hardware support module makes all UHD devices available to
 applications using SoapySDR. An interface in the other direction is available
 in the uhd-soapysdr package.

Package: soapysdr-module-uhd
Architecture: any
Multi-Arch: same
Depends: soapysdr0.5-2-module-uhd, ${misc:Depends}
Description: UHD device support for SoapySDR (default version)
 Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
 provide libraries to access various software defined radio hardware through a
 common interface.
 .
 This SoapySDR hardware support module makes all UHD devices available to
 applications using SoapySDR. An interface in the other direction is available
 in the uhd-soapysdr package.
 .
 This is an empty dependency package that pulls in the UHD module for the
 default version of libsoapysdr.

Package: uhd-soapysdr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SoapySDR device support for libuhd
 Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
 provide libraries to access various software defined radio hardware through a
 common interface.
 .
 This UHD module makes all SoapySDR devices available to applications using
 libuhd. An interface in the other direction is available in the
 soapysdr-module-uhd package.
