## soapyuhd 0.3.3

=== debian/changelog ===
soapyuhd (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Adjust copyright years for Josh Blum in debian/copyright
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 07 Aug 2017 11:54:56 -0400
