=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
     debhelper (>= 10),
     cmake,
     libboost-dev, libboost-system-dev, libboost-thread-dev,
-    libsoapysdr-dev,
+    libsoapysdr0.6-dev,
     libuhd-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git
 
-Package: soapysdr0.5-2-module-uhd
+Package: soapysdr0.6-module-uhd
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: UHD device support for SoapySDR
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
@@ -31,7 +31,7 @@
 Package: soapysdr-module-uhd
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-uhd, ${misc:Depends}
+Depends: soapysdr0.6-module-uhd, ${misc:Depends}
 Description: UHD device support for SoapySDR (default version)
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
