=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.5-2-module-uhd
+	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.6-module-uhd
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:
