=== debian/changelog ===
soapyuhd (0.3.4-1build1) bionic; urgency=medium

  * No-change rebuild against libuhd003.010.003

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 01:20:57 +0000

soapyuhd (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Link with --as-needed
  * Bump Standards-Version to 4.1.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Wed, 20 Dec 2017 22:52:00 +0100
