=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: soapyuhd
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
     debhelper (>= 10),
@@ -9,7 +10,7 @@
     libboost-dev, libboost-system-dev, libboost-thread-dev,
     libsoapysdr0.6-dev,
     libuhd-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git
