## soapyuhd 0.3.6

=== debian/changelog ===
soapyuhd (0.3.6-2~mx19+1) mx; urgency=medium

  * Initial packaging for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 18 Jan 2020 13:50:45 -0500

soapyuhd (0.3.6-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:47:40 +0200

soapyuhd (0.3.6-1) experimental; urgency=medium

  * New upstream version 0.3.6
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Add Deepwave Digital copyright line to debian/copyright
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 22:27:32 +0200
