=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: soapyuhd
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 12),
     cmake,
     libboost-dev, libboost-system-dev, libboost-thread-dev,
-    libsoapysdr0.6-dev,
+    libsoapysdr0.7-dev,
     libuhd-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyuhd.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyuhd.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd.git
 
-Package: soapysdr0.6-module-uhd
+Package: soapysdr0.7-module-uhd
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.6-module
+Provides: soapysdr0.7-module
 Description: UHD device support for SoapySDR
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
@@ -32,7 +31,7 @@
 Package: soapysdr-module-uhd
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.6-module-uhd, ${misc:Depends}
+Depends: soapysdr0.7-module-uhd, ${misc:Depends}
 Description: UHD device support for SoapySDR (default version)
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
