=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,11 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.6-module-uhd
+	dh_installdocs -p soapysdr-module-uhd --link-doc=soapysdr0.7-module-uhd
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.txt
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
