=== debian/changelog ===
soapyuhd (0.4.1-6) unstable; urgency=medium

  [ A. Maitland Bottoms ]
  * update to soapy-uhd-0.4.1-20-g2a5d381 (Closes: #1113524)
  * Bump Standards-Version to 4.7.2, no changes required

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Repository.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Oct 2025 19:13:44 -0400

soapyuhd (0.4.1-5) unstable; urgency=medium

  * update to soapy-uhd-0.4.1-18-g6b52139
    to build with current uhd (Closes: #1099150)
  * Bump Standards-Version to 4.7.1, no changes required

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Mar 2025 22:16:27 -0500

soapyuhd (0.4.1-4) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 08 Sep 2023 00:14:11 +0530

soapyuhd (0.4.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:30:17 +0200

soapyuhd (0.4.1-2) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 27 Aug 2021 02:33:18 +0200

soapyuhd (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Increase debhelper compat level to 13, use Build-Depends on
    debhelper-compat instead of the old method and remove debian/compat
  * Update copyright years for Josh Blum
  * Add copyright for Nicholas Corgan
  * Bump Standards-Version to 4.5.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 Dec 2020 17:24:29 +0100
