=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: soapyuhd
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>,
+	   A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     cmake,
     libboost-dev, libboost-system-dev, libboost-thread-dev,
-    libsoapysdr0.7-dev,
+    libsoapysdr0.8-dev,
     libuhd-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/pothosware/SoapyUHD/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyuhd.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.7-module-uhd
+Package: soapysdr0.8-module-uhd
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.7-module
+Provides: soapysdr0.8-module
 Description: UHD device support for SoapySDR
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
@@ -31,7 +33,7 @@
 Package: soapysdr-module-uhd
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.7-module-uhd, ${misc:Depends}
+Depends: soapysdr0.8-module-uhd, ${misc:Depends}
 Description: UHD device support for SoapySDR (default version)
  Both SoapySDR and the Universal Hardware Driver by Ettus Research projects
  provide libraries to access various software defined radio hardware through a
