=== debian/watch ===
version=4
https://github.com/pothosware/SoapyUHD/tags .*/soapy-uhd-([\d\.]+)\.tar\.(?:xz|gz|bz2)
